Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Upgrade von 1.2.1 auf 1.6.2
#1
Nabend wäre nett wenn man mir helfen könnte.

Ich versuche seit Stunden jetzt schon meine 1.2.1 Version auf 1.6.2 zu upgraden, wobei ich genau der Anleitung zum Upgrade folge. Das habe ich jetzt schon circa 10x versucht, aber es funktioniert einfach nicht....

Am Schritt des aufrufens der Upgrade.php scheitert es immer, bis auf einmal, wo sie erschien, jedoch mit der Fehlermeldung "Deprecated: Function set_magic_quotes_runtime() is deprecated in /users/ndergroundkoopas/www/Forum/inc/class_core.php on line 165" und ich es zwar upgraden konnte, dabei jedoch schon lauter Umlaut-Fehler dabei waren und das Forum danach auch nicht wirklich funktionsfähig waren.... aber bei den anderen Versuchen konnte ich nichtmal die Upgrade.php aufrufen, da kommt einfach nichts -.-

Ist der Leitfaden irgendwie falsch ? Weil ich geh exakt nach ihm vor.

Vielleicht weitere wichtige Informationen:

- Server liegt auf bplaced.net
- deutsche Mybb-Version 1.6.2 verwendet, und auch 1.2.1 die deutsche Version

Wäre nett, wenn man mir helfen könnte Smile

Ok, bereits Update sry xD Anscheind hat im class_core.php nur ein "@" gefehlt -.-, aber jetzt scheißt es beim eigentlichen Upgrade-Vorgang ab...

Fatal error: [SQL] [1054] Unknown column 'remember' in 'field list'
SELECT uid,allownotices,hideemail,invisible,receivepms,pmnotify,remember,showsigs,showavatars,showquickreply,showredirect,away FROM mybb_users LIMIT 0, 10000 in /users/ndergroundkoopas/www/Forum/inc/db_mysql.php on line 550

#2
Wo kommt diese Fehlermeldung? Beim Upgrade oder danach?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
Ja beim Upgrade-Vorgang.
#4
Gibt es vor dem Upgrade denn das Feld "remember" in der Datenbank-Tabelle mybb_users?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#5
In welchem Ordner ist die mybb_users.php ? Ich find die da garnicht mal oô
#6
Wie bist du eigentlich vorgegangen? Das erste Upgrade hat doch funktioniert oder?
Kann es sein, dass du die schon aktualisierte Datenbank nochmal upgradest?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#7
Ja das erste Upgrade hatte funktioniert, allerdings war danach alles zerschossen oO, also das Forum war nicht brauchbar.

Dann habe ich wieder alles gelöscht und das gleiche Spiel von vorne gemacht, mit den wieder "unbenutzten" Mybb-Daten. Die Settings.php und die config.php sind auch "unbenutzt". Daran kanns echt nicht liegen :S Sind alles die Ausgangsdateien VOR dem 1.Upgradeversuch.

Hatte auch grad was aus der upgrade.php hier gepostet, aber irgendwie ist das jetzt auch hier weg -.- Na ja also dieses "remember" kommt inner upgrade.php bei mybb_users nicht vor. Was muss ich da ergänzen genau ?
#8
Das wichtige ist die Datenbank, die muss wieder so sein, wie vor dem Upgrade.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#9
Dumme Frage, bin Laie in solchen Sachen, welche Datei ist jetzt die Datenbank ?... und wie resette ich die ?

Hatte nämlich alle Ordner und Dateien eigentlich extra vorher gespeichert oô
#10
Das ist keine Datei, die Datenbank hast du vor der Installation bei bplaced angelegt.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.